| Kea 3.0.2-git

pgsql_exchange.h File Reference
`#include <asiolink/io_address.h>`
`#include <database/database_connection.h>`
`#include <cc/data.h>`
`#include <util/triplet.h>`
`#include <util/boost_time_utils.h>`
`#include <exceptions/exceptions.h>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/noncopyable.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <libpq-fe.h>`
`#include <stdint.h>`
`#include <vector>`
`#include <iostream>`
Include dependency graph for pgsql_exchange.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::db::PgSqlExchange
| Base class for marshalling data to and from PostgreSQL. More...
class | isc::db::PgSqlResult
| RAII wrapper for PostgreSQL Result sets. More...
class | isc::db::PgSqlResultRowWorker
| Convenience class which facilitates fetching column values from a result set row. More...
struct | isc::db::PsqlBindArray

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::db

## Typedefs
typedef boost::shared_ptr< const std::string > | isc::db::ConstStringPtr
| Structure used to bind C++ input values to dynamic SQL parameters The structure contains three vectors which store the input values, data lengths, and formats.
typedef boost::shared_ptr< PgSqlResult > | isc::db::PgSqlResultPtr
typedef boost::shared_ptr< PgSqlResultRowWorker > | isc::db::PgSqlResultRowWorkerPtr
| Pointer to a result row worker.
typedef boost::shared_ptr< PsqlBindArray > | isc::db::PsqlBindArrayPtr
| Defines a smart pointer to PsqlBindArray.